A Stack represents a collection of Projects used by a single person. A Stack belongs to an Account.
A Stack contains zero or more StackEntries, each of which links the Stack to a single Project.
To get a single Stack belonging to an Account:
GET http://www.ohloh.net/accounts/{account_id}/stacks/{stack_id}.xml
A handy shortcut for getting the default Stack for an Account when you don't know the stack_id:
GET http://www.ohloh.net/accounts/{account_id}/stacks/default.xml
This method is not paginated -- you will always receive a single Stack. However, this Stack may contain a very large number of StackEntries within it. Each StackEntry will include a full Project object.
If you do not know the Account ID, you can also retrieve the Stack using the MD5 hash of the email address. Read more about email-based queries here.
To get a list of all Stacks for a particular Project:
GET http://www.ohloh.net/projects/{project_id}/stacks.xml
The Stacks returned in this collection will each contain only a single StackEntry, corresponding to the Project in question.
Each Stack in the result will also include an Account object.
The Stack collection is paginated, and supports the standard collection request parameters with the following details: